APIs / heycar / Search

heycar: Search

Search from heycar as JSON. 1 credit per successful call.

GET /v1/heycar/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
pageintegerOptionalAny
sizeintegerOptionalAny
sortstringOptionalprice-asc, price-desc, year-desc, mileage-asc, date-active-desc, relevance-desc, distance-asc
makestringOptionalUp to 60 characters
modelstringOptionalUp to 100 characters
price_minintegerOptionalAny
price_maxintegerOptionalAny
mileage_maxintegerOptionalAny
fuel_typestringOptionalpetrol, diesel, hybrid, electric
body_typestringOptionalsuv, saloon, estate, convertible, coupe, hatchback
gearboxstringOptionalautomatic, manual, semiauto
latnumberOptionalAny
lonnumberOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/heycar/search?page=0&size=20&make=volkswagen&model=volkswagen-golf" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.